/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
:root{
	--site-gutter: 3vw;
	--header-margin: -100px;
}

.line-clamp-7 {
	display: box;
	display: -webkit-box;
    -webkit-line-clamp: 7;
    -webkit-box-orient: vertical!important;
    overflow: hidden;
    text-overflow: ellipsis;
}
.line-clamp-4, .line-clamp-4 > p {
	display: box;
	display: -webkit-box;
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical!important;
    overflow: hidden;
    text-overflow: ellipsis;
}

.outer-section{
	padding: 120px var(--site-gutter);
}
.hero-section{
	padding: 160px var(--site-gutter);
	margin-top: var(--header-margin);
}

@media(min-width: 1025px){
li.nav-cta-button{
	padding: 0!important;
	overflow: visible;
	
	a.elementor-item{
		padding: 7px 16px 5px 16px!important;
		background-color: var(--e-global-color-primary);
		border-radius: 50px;
		color: white!important;
		font-weight: 700!important;
		letter-spacing: 0.7px;
	}
}
}

.color-text{
	color: var(--e-global-color-primary);
}

.testimonial-loop .testimonial-text {
	display: box;
	display: -webkit-box;
    -webkit-line-clamp: 7;
    -webkit-box-orient: vertical!important;
    overflow: hidden;
    text-overflow: ellipsis;
	
	@media(max-width: 767px){
		-webkit-line-clamp: 14;
	}
}


/***
* class: .sticky-header
*/
header .sticky-header {
	--header-height: 100px;
	--shrink-header-to: 0.6;
	--transition: .45s cubic-bezier(.4, 0, .2, 1);
	transition: background-color var(--transition),
				backdrop-filter var(--transition),
				box-shadow var(--transition);
}

/***
* Sticky header activated
*/
header .sticky-header.elementor-sticky--effects {
	background-color: rgb(255 255 255 / 100%)!important;
	box-shadow: 0px 4px 33px 1px rgba(0, 0, 0, .03);
	-webkit-backdrop-filter: saturate(180%) blur(20px);
	backdrop-filter: saturate(180%) blur(20px);
}
header .sticky-header {
	min-height: var(--header-height);
	transition: min-height var(--transition);
}
header .sticky-header.elementor-sticky--effects{
	min-height: calc( var(--header-height) * var(--shrink-header-to) );

	height: unset!important;

	.e-con-inner{
		height: unset;
	}
}

/***
* Shorter header on mobile (70px instead of 100px)
*/
@media only screen and (max-width: 767px) {
	header .sticky-header {
		--header-height: 70px;
	}
}

/***
* class: .logo
*/
header .sticky-header .logo {
	transition: transform var(--transition);
}
header .sticky-header.elementor-sticky--effects .logo {
	transform: scale(.6);
}

.classes-loop .type-classes:nth-child(4n-1)>.class-card .class-card--content{
	background-color: #2AB2ED;
}

.classes-loop .type-classes:nth-child(4n)>.class-card .class-card--content{
	background-color: #F26E50;
}

.classes-loop .type-classes:nth-child(4n+1)>.class-card .class-card--content{
	background-color: #92c72c;
}